import requests
import json
import csv
import os

# Define the API endpoint URL and access token
base_url = "https://api.skroutz.gr/merchants/ecommerce/orders/"
access_token = "EsKQTIjZ6niqnva9QFYfEfwrDdUQpGkRJXY4gfllL0PEX2cVeM7pYNgEMB7gi125ial02xkmzVVRs2r2C6CzHg=="

# Set the headers
headers = {
    "Accept": "application/vnd.skroutz+json; version=3.0",
    "Authorization": f"Bearer {access_token}"
}

csv_file_path = '/Users/filip/Desktop/Shumee/Python/skroutz_orders/order_ids.csv'

save_directory = '/Users/filip/Desktop/Shumee/Python/skroutz_orders/order_jsons/'

# Read order IDs from a CSV file
with open(csv_file_path, mode='r') as file:
    csv_reader = csv.DictReader(file)
    for row in csv_reader:
        order_id = row['order_id']
        url = base_url + order_id  # Construct the URL with the order ID
        
        # Perform the GET request
        response = requests.get(url, headers=headers)
        
        # Check the response status code
        if response.status_code == 200:
            try:
                # Use json.loads to decode Unicode escape sequences
                data = json.loads(response.text)
                
                # Save the JSON response to a file named order_id.json
                with open(os.path.join(save_directory, f"{order_id}.json"), "w", encoding="utf-8") as json_file:
                    json.dump(data, json_file, indent=4, ensure_ascii=False)
                
                print(f"Saved JSON response for order ID {order_id} to {order_id}.json")
            except json.JSONDecodeError:
                print(f"Failed to parse JSON response for order ID {order_id}.")
        else:
            print(f"Request for order ID {order_id} failed with status code {response.status_code}")
            print(response.text)
